#include <glib-object.h>
#include "gmyth.h"

int
main (int args, const char **argv)
{
    GMythBackendInfo *backend_info;
    g_type_init ();
    g_thread_init (NULL);

    backend_info = gmyth_backend_info_new ();

    gmyth_backend_info_set_hostname (backend_info, "localhost");
    gmyth_backend_info_set_port (backend_info, 6543);
    
    GMythHttp *gmyth_http = gmyth_http_new();
    gmyth_http->backend_info = backend_info;

    GString *command = g_string_new(argv[1]);

    GString *result = gmyth_http_request(gmyth_http, command);

    printf("%s", result->str);

    return 0;    
}
